> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get list of blocks produced by a specific Cardano stake pool with timestamps and epoch information.

# Stake pool blocks



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /pools/{pool_id}/blocks
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /pools/{pool_id}/blocks:
    get:
      tags:
        - Pools
      summary: Stake pool blocks
      description: >-
        Return information about blocks minted by a given pool for all epochs
        (or just for epoch `epoch_no` if provided)
      operationId: pool_blocks
      parameters:
        - name: pool_id
          in: path
          description: Pool ID in bech32 format
          required: true
          schema:
            type: string
        - name: epoch_no
          in: query
          description: Epoch number to fetch results for
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: order
          in: query
          description: The order in which the results are sorted (by block absolute slot)
          required: false
          schema:
            allOf:
              - type: string
                default: asc
                enum:
                  - asc
                  - desc
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: >-
            Return information about blocks minted by a given pool for all
            epochs (or epoch_no if provided)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPoolBlock'
              example:
                data:
                  - epoch_no: 241
                    epoch_slot: 416235
                    abs_slot: 19165035
                    block_height: 5213445
                    block_hash: >-
                      6ecd67bb8515cf7ab82c5c0c4a3f6e99c390fdfaaffca4bd7ab0a3365c5327ce
                    block_time: 1610731326
                  - epoch_no: 243
                    epoch_slot: 166752
                    abs_slot: 19779552
                    block_height: 5243962
                    block_hash: >-
                      3ad8d2bafc5ad3e7fed82318f03f7b4ae221b5c9ca0b20b47b72a96bdf82a71b
                    block_time: 1611345843
                  - epoch_no: 280
                    epoch_slot: 401137
                    abs_slot: 35997937
                    block_height: 6042598
                    block_hash: >-
                      4a0572125268fd327258a6fea5c35bdc1e619bd81d542c36c8cf0a8a92214e21
                    block_time: 1627564228
                  - epoch_no: 281
                    epoch_slot: 105848
                    abs_slot: 36134648
                    block_height: 6049318
                    block_hash: >-
                      0cdef0adaf13b7db4a469637439b7847ba822bc05c94710ca4f517b57ac0f3a8
                    block_time: 1627700939
                  - epoch_no: 281
                    epoch_slot: 246962
                    abs_slot: 36275762
                    block_height: 6056368
                    block_hash: >-
                      8590d0e47ed7d50a39fed48e9f556c99f644626a08a90d04198810bff8c41bac
                    block_time: 1627842053
                last_updated:
                  timestamp: '2022-10-10 20:25:28'
                  block_hash: >-
                    6d0c6e1c0966c5ba824fedd4dfa963ee2cab1091e33e3c76551d1dbae50ccd25
                  block_slot: 96404672
                next_cursor: AAAAAAAAAAA
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedPoolBlock:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PoolBlock'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    PoolBlock:
      type: object
      description: Block created by a stake pool
      required:
        - block_height
        - block_hash
        - block_time
      properties:
        abs_slot:
          type: integer
          format: int64
          description: Absolute slot of the block
          nullable: true
        block_hash:
          type: string
          description: Block hash
        block_height:
          type: integer
          format: int32
          description: Block height (block number)
        block_time:
          type: integer
          format: int32
          description: UNIX timestamp when the block was mined
        epoch_no:
          type: integer
          format: int32
          description: Epoch number
          nullable: true
        epoch_slot:
          type: integer
          format: int32
          description: Epoch slot
          nullable: true
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````